### Method

# Gimp Image get_selected_vectors

unstable since: 3.0.0

#### Declaration [src]

    GimpVectors**
    gimp_image_get_selected_vectors (
      GimpImage* image,
      gint* num_vectors
    )

#### Description [src]

Returns the specified image’s selected vectors.

This procedure returns the list of selected vectors in the specified image.

Available since: 3.0.0

This method is not directly available to language bindings.

#### Parameters

`num_vectors`

  Type: `gint*`

  The number of selected vectors in the image.

  The argument will be set by the function.

#### Return value

Type: An array of `None`

         The list of selected vectors in the image.
         The returned value must be freed with g_free().

The length of the array is in the `num_vectors` argument.
The caller of the method takes ownership of the data container, but not the data inside it.